/*! CSS Used from: https://raydium.io/_next/static/css/9c4ef539d333946a.css */
*,:after,:before{box-sizing:border-box;border:0 solid #e5e7eb;}
:after,:before{--tw-content:"";}
body{margin:0;line-height:inherit;}
a{color:inherit;text-decoration:inherit;}
button{font-family:inherit;font-size:100%;font-weight:inherit;line-height:inherit;color:inherit;margin:0;padding:0;}
button{text-transform:none;}
[type=button],button{-webkit-appearance:button;background-color:transparent;background-image:none;}
p{margin:0;}
button{cursor:pointer;}
:disabled{cursor:default;}
img,svg{display:block;vertical-align:middle;}
img{max-width:100%;height:auto;}
*,:after,:before{--tw-border-spacing-x:0;--tw-border-spacing-y:0;--tw-translate-x:0;--tw-translate-y:0;--tw-rotate:0;--tw-skew-x:0;--tw-skew-y:0;--tw-scale-x:1;--tw-scale-y:1;--tw-scroll-snap-strictness:proximity;--tw-ring-offset-width:0px;--tw-ring-offset-color:#fff;--tw-ring-color:rgba(59,130,246,.5);--tw-ring-offset-shadow:0 0 #0000;--tw-ring-shadow:0 0 #0000;--tw-shadow:0 0 #0000;--tw-shadow-colored:0 0 #0000;}
#__next,.app,body{height:100%;}
body{font-family:Space Grotesk,-apple-system,BlinkMacSystemFont,Segoe UI,PingFang SC,Hiragino Sans GB,Microsoft YaHei,Helvetica Neue,Helvetica,Arial,sans-serif,Apple Color Emoji,Segoe UI Emoji,Segoe UI Symbol;font-feature-settings:"ss04","tnum" 1;color:var(--primary);background-color:#131a35;}
*{box-sizing:border-box;outline:none!important;}
#headlessui-portal-root{isolation:isolate;}
@media (min-width:1000px){
::-webkit-scrollbar{background-color:transparent;width:7px;height:7px;}
::-webkit-scrollbar-thumb{background-color:hsla(0,0%,100%,.2);border-radius:8px;}
}
.pointer-events-none{pointer-events:none;}
.fixed{position:fixed;}
.absolute{position:absolute;}
.relative{position:relative;}
.inset-0{inset:0;}
.left-1\/2{left:50%;}
.left-full{left:100%;}
.top-1\/2{top:50%;}
.isolate{isolation:isolate;}
.z-10{z-index:10;}
.z-drawer{z-index:1000;}
.z-model{z-index:1000;}
.z-popover{z-index:1030;}
.m-2{margin:.5rem;}
.mx-8{margin-left:2rem;margin-right:2rem;}
.mx-auto{margin-left:auto;margin-right:auto;}
.my-0\.5{margin-top:2px;margin-bottom:2px;}
.my-2{margin-top:.5rem;margin-bottom:.5rem;}
.my-6{margin-top:1.5rem;margin-bottom:1.5rem;}
.mb-0{margin-bottom:0;}
.mb-12{margin-bottom:3rem;}
.mb-2{margin-bottom:.5rem;}
.mb-3{margin-bottom:.75rem;}
.mb-4{margin-bottom:1rem;}
.mb-6{margin-bottom:1.5rem;}
.ml-2{margin-left:.5rem;}
.mr-2{margin-right:.5rem;}
.mr-3{margin-right:.75rem;}
.mt-2{margin-top:.5rem;}
.mt-5{margin-top:1.25rem;}
.block{display:block;}
.inline-block{display:inline-block;}
.flex{display:flex;}
.inline-flex{display:inline-flex;}
.grid{display:grid;}
.h-0{height:0;}
.h-3{height:.75rem;}
.h-4{height:1rem;}
.h-5{height:1.25rem;}
.h-6{height:1.5rem;}
.h-96{height:24rem;}
.h-full{height:100%;}
.h-max{height:-moz-max-content;height:max-content;}
.min-h-\[120px\]{min-height:120px;}
.w-10{width:2.5rem;}
.w-3{width:.75rem;}
.w-4{width:1rem;}
.w-56{width:14rem;}
.w-6{width:1.5rem;}
.w-\[40em\]{width:40em;}
.w-\[min\(552px\2c 100vw\)\]{width:min(552px,100vw);}
.w-full{width:100%;}
.w-max{width:-moz-max-content;width:max-content;}
.flex-1{flex:1 1 0%;}
.flex-shrink-0{flex-shrink:0;}
.shrink{flex-shrink:1;}
.flex-grow{flex-grow:1;}
.grow{flex-grow:1;}
.-translate-x-1\/2{transform:translate(var(--tw-translate-x),var(--tw-translate-y)) rotate(var(--tw-rotate)) skewX(var(--tw-skew-x)) skewY(var(--tw-skew-y)) scaleX(var(--tw-scale-x)) scaleY(var(--tw-scale-y));}
.-translate-x-1\/2{--tw-translate-x:-50%;}
.-translate-x-full{--tw-translate-x:-100%;}
.-translate-x-full{transform:translate(var(--tw-translate-x),var(--tw-translate-y)) rotate(var(--tw-rotate)) skewX(var(--tw-skew-x)) skewY(var(--tw-skew-y)) scaleX(var(--tw-scale-x)) scaleY(var(--tw-scale-y));}
.-translate-y-1\/2{--tw-translate-y:-50%;}
.-translate-y-1\/2{transform:translate(var(--tw-translate-x),var(--tw-translate-y)) rotate(var(--tw-rotate)) skewX(var(--tw-skew-x)) skewY(var(--tw-skew-y)) scaleX(var(--tw-scale-x)) scaleY(var(--tw-scale-y));}
.scale-100{transform:translate(var(--tw-translate-x),var(--tw-translate-y)) rotate(var(--tw-rotate)) skewX(var(--tw-skew-x)) skewY(var(--tw-skew-y)) scaleX(var(--tw-scale-x)) scaleY(var(--tw-scale-y));}
.scale-100{--tw-scale-x:1;--tw-scale-y:1;}
.transform{transform:translate(var(--tw-translate-x),var(--tw-translate-y)) rotate(var(--tw-rotate)) skewX(var(--tw-skew-x)) skewY(var(--tw-skew-y)) scaleX(var(--tw-scale-x)) scaleY(var(--tw-scale-y));}
.cursor-default{cursor:default;}
.cursor-not-allowed{cursor:not-allowed;}
.cursor-pointer{cursor:pointer;}
.select-none{-webkit-user-select:none;-moz-user-select:none;user-select:none;}
.appearance-none{-webkit-appearance:none;-moz-appearance:none;appearance:none;}
.grid-cols-\[\.1fr\2c 1fr\2c 1fr\2c 1fr\2c 1fr\2c 1fr\]{grid-template-columns:.1fr 1fr 1fr 1fr 1fr 1fr;}
.grid-rows-\[2fr\2c 1fr\2c auto\]{grid-template-rows:2fr 1fr auto;}
.flex-col{flex-direction:column;}
.place-items-center{place-items:center;}
.items-end{align-items:flex-end;}
.items-center{align-items:center;}
.justify-center{justify-content:center;}
.justify-between{justify-content:space-between;}
.gap-1{gap:.25rem;}
.gap-2{gap:.5rem;}
.gap-3{gap:.75rem;}
.gap-4{gap:1rem;}
.gap-6{gap:1.5rem;}
.space-y-1>:not([hidden])~:not([hidden]){--tw-space-y-reverse:0;margin-top:calc(.25rem * calc(1 - var(--tw-space-y-reverse)));margin-bottom:calc(.25rem * var(--tw-space-y-reverse));}
.space-y-20>:not([hidden])~:not([hidden]){--tw-space-y-reverse:0;margin-top:calc(5rem * calc(1 - var(--tw-space-y-reverse)));margin-bottom:calc(5rem * var(--tw-space-y-reverse));}
.justify-self-start{justify-self:start;}
.overflow-auto{overflow:auto;}
.overflow-hidden{overflow:hidden;}
.overflow-scroll{overflow:scroll;}
.overflow-y-auto{overflow-y:auto;}
.overflow-ellipsis{text-overflow:ellipsis;}
.whitespace-nowrap{white-space:nowrap;}
.rounded{border-radius:.25rem;}
.rounded-3xl{border-radius:1.25rem;}
.rounded-full{border-radius:9999px;}
.rounded-lg{border-radius:.5rem;}
.rounded-md{border-radius:.375rem;}
.rounded-xl{border-radius:.75rem;}
.rounded-tl-3xl{border-top-left-radius:1.25rem;}
.border-1\.5{border-width:1.5px;}
.border-2{border-width:2px;}
.border-b{border-bottom-width:1px;}
.border-\[rgba\(171\2c 196\2c 255\2c 0\.2\)\]{border-color:rgba(171,196,255,.2);}
.border-\[rgba\(57\2c 208\2c 216\2c 0\.16\)\]{border-color:rgba(57,208,216,.16);}
.border-transparent{border-color:transparent;}
.bg-\[\#141041\]{--tw-bg-opacity:1;background-color:rgb(20 16 65/var(--tw-bg-opacity));}
.bg-\[\#39D0D8\]{--tw-bg-opacity:1;background-color:rgb(57 208 216/var(--tw-bg-opacity));}
.bg-\[rgba\(20\2c 16\2c 65\2c 0\.4\)\]{background-color:rgba(20,16,65,.4);}
.bg-formkit-thumb{background-color:var(--formkit-thumb-color);}
.bg-formkit-thumb-disable{background-color:var(--formkit-thumb-color-disable);}
.bg-white{--tw-bg-opacity:1;background-color:rgb(255 255 255/var(--tw-bg-opacity));}
.bg-gradient-to-b{background-image:linear-gradient(to bottom,var(--tw-gradient-stops));}
.bg-gradient-to-br{background-image:linear-gradient(to bottom right,var(--tw-gradient-stops));}
.from-\[\#0c0927\]{--tw-gradient-from:#0c0927 var(--tw-gradient-from-position);--tw-gradient-to:rgba(12,9,39,0) var(--tw-gradient-to-position);--tw-gradient-stops:var(--tw-gradient-from),var(--tw-gradient-to);}
.from-\[rgba\(57\2c 208\2c 216\2c 0\.2\)\]{--tw-gradient-from:rgba(57,208,216,.2) var(--tw-gradient-from-position);--tw-gradient-to:rgba(57,208,216,0) var(--tw-gradient-to-position);--tw-gradient-stops:var(--tw-gradient-from),var(--tw-gradient-to);}
.to-\[\#110d36\]{--tw-gradient-to:#110d36 var(--tw-gradient-to-position);}
.to-\[rgba\(57\2c 208\2c 216\2c 0\)\]{--tw-gradient-to:rgba(57,208,216,0) var(--tw-gradient-to-position);}
.p-1\.5{padding:.375rem;}
.p-12{padding:3rem;}
.p-4{padding:1rem;}
.p-8{padding:2rem;}
.p-\[3px\]{padding:3px;}
.px-12{padding-left:3rem;padding-right:3rem;}
.px-2{padding-left:.5rem;padding-right:.5rem;}
.px-3{padding-left:.75rem;padding-right:.75rem;}
.px-4{padding-left:1rem;padding-right:1rem;}
.px-6{padding-left:1.5rem;padding-right:1.5rem;}
.px-8{padding-left:2rem;padding-right:2rem;}
.py-2\.5{padding-top:.625rem;padding-bottom:.625rem;}
.py-3{padding-top:.75rem;padding-bottom:.75rem;}
.py-3\.5{padding-top:.875rem;padding-bottom:.875rem;}
.py-4{padding-top:1rem;padding-bottom:1rem;}
.pl-6{padding-left:1.5rem;}
.text-3xl{font-size:1.875rem;line-height:2.25rem;}
.text-lg{font-size:1.125rem;line-height:1.75rem;}
.text-sm{font-size:.875rem;line-height:1.25rem;}
.text-xl{font-size:1.25rem;line-height:1.75rem;}
.font-bold{font-weight:700;}
.font-medium{font-weight:500;}
.font-semibold{font-weight:600;}
.leading-normal{line-height:1.5;}
.leading-relaxed{line-height:1.625;}
.text-\[\#39D0D8\]{--tw-text-opacity:1;color:rgb(57 208 216/var(--tw-text-opacity));}
.text-\[\#ABC4FF\]{--tw-text-opacity:1;color:rgb(171 196 255/var(--tw-text-opacity));}
.text-\[\#ACE3E5\]{--tw-text-opacity:1;color:rgb(172 227 229/var(--tw-text-opacity));}
.text-\[\#ACE3E6\]{--tw-text-opacity:1;color:rgb(172 227 230/var(--tw-text-opacity));}
.text-\[\#abc4ff80\]{color:#abc4ff80;}
.text-\[\#abc4ff\]{--tw-text-opacity:1;color:rgb(171 196 255/var(--tw-text-opacity));}
.text-\[\#abc4ffb3\]{color:#abc4ffb3;}
.text-\[rgba\(172\2c 227\2c 229\)\]{--tw-text-opacity:1;color:rgba(172,227,229,var(--tw-text-opacity));}
.text-\[rgba\(57\2c 208\2c 216\2c 1\)\]{color:#39d0d8;}
.text-formkit-thumb-text-normal{color:var(--formkit-thumb-text-normal);}
.text-white{--tw-text-opacity:1;color:rgb(255 255 255/var(--tw-text-opacity));}
.underline-offset-1{text-underline-offset:1px;}
.opacity-100{opacity:1;}
.opacity-40{opacity:.4;}
.opacity-50{opacity:.5;}
.opacity-60{opacity:.6;}
.shadow-lg{--tw-shadow:0 10px 15px -3px rgba(0,0,0,.1),0 4px 6px -4px rgba(0,0,0,.1);--tw-shadow-colored:0 10px 15px -3px var(--tw-shadow-color),0 4px 6px -4px var(--tw-shadow-color);}
.shadow-lg{box-shadow:var(--tw-ring-offset-shadow,0 0 #0000),var(--tw-ring-shadow,0 0 #0000),var(--tw-shadow);}
.ring-1\.5{--tw-ring-offset-shadow:var(--tw-ring-inset) 0 0 0 var(--tw-ring-offset-width) var(--tw-ring-offset-color);--tw-ring-shadow:var(--tw-ring-inset) 0 0 0 calc(1.5px + var(--tw-ring-offset-width)) var(--tw-ring-color);box-shadow:var(--tw-ring-offset-shadow),var(--tw-ring-shadow),var(--tw-shadow,0 0 #0000);}
.ring-inset{--tw-ring-inset:inset;}
.ring-\[rgba\(171\2c 196\2c 255\2c \.5\)\]{--tw-ring-color:rgba(171,196,255,.5);}
.transition{transition-property:color,background-color,border-color,text-decoration-color,fill,stroke,opacity,box-shadow,transform,filter,-webkit-backdrop-filter;transition-property:color,background-color,border-color,text-decoration-color,fill,stroke,opacity,box-shadow,transform,filter,backdrop-filter;transition-property:color,background-color,border-color,text-decoration-color,fill,stroke,opacity,box-shadow,transform,filter,backdrop-filter,-webkit-backdrop-filter;transition-timing-function:cubic-bezier(.4,0,.2,1);transition-duration:.15s;}
.transition-all{transition-property:all;transition-timing-function:cubic-bezier(.4,0,.2,1);transition-duration:.15s;}
.duration-200{transition-duration:.2s;}
.duration-300{transition-duration:.3s;}
.ease-in-out{transition-timing-function:cubic-bezier(.4,0,.2,1);}
.ease-out{transition-timing-function:cubic-bezier(0,0,.2,1);}
.no-native-scrollbar::-webkit-scrollbar{display:none;}
.scrollbar-width-thin::-webkit-scrollbar{width:4px;}
.scrollbar-width-thin::-webkit-scrollbar-thumb{background:#abc4ff80;}
.grid-area-a{grid-area:a;}
.grid-area-b{grid-area:b;}
.grid-area-c{grid-area:c;}
.grid-area-d{grid-area:d;}
.flex-container{display:flex;flex-direction:column;}
.flex-container>*{flex-shrink:0;}
.self-pointer-events-none{pointer-events:none;}
.self-pointer-events-none *{pointer-events:auto;}
.clickable{cursor:pointer;transition:175ms;}
.clickable:active{transform:scale(.97);}
.clickable-filter-effect{transition:175ms;}
.clickable-filter-effect:hover{filter:brightness(.95);-webkit-backdrop-filter:brightness(.95);backdrop-filter:brightness(.95);}
.clickable-filter-effect:active{filter:brightness(.9);-webkit-backdrop-filter:brightness(.9);backdrop-filter:brightness(.9);}
.clickable-mask-offset-3{position:relative;}
.clickable-mask-offset-3:before{content:"";position:absolute;z-index:-1;top:-8px;right:-8px;bottom:-8px;left:-8px;cursor:pointer;border-radius:8px;}
.clickable-mask-offset-3:hover:before{background:rgba(0,0,0,.2);}
.clickable-mask-offset-3:active:before{background:rgba(0,0,0,.3);}
.no-clicable-transform-effect:active{transform:none;}
.frosted-glass,.frosted-glass-teal{--text-color:#fff;--border-color:#fff;--bg-board-color:hsla(0,0%,100%,.12);--bg-board-color-2:hsla(0,0%,100%,0);position:relative;color:var(--text-color);background:linear-gradient(162deg,var(--bg-board-color) 28.7%,var(--bg-board-color-2,var(--bg-board-color)));isolation:isolate;}
.frosted-glass-teal:before,.frosted-glass:before{content:"";position:absolute;inset:0;z-index:-1;opacity:.7;background:transparent;border-radius:inherit;box-shadow:inset 0 0 0 var(--border-line-width,1.5px) var(--border-color);-webkit-mask-image:radial-gradient(at -31% -58%,rgba(0,0,0,.5) 34%,transparent 60%),linear-gradient(270deg,rgba(0,0,0,.2) 0,transparent 13%),linear-gradient(rgba(0,0,0,.05),rgba(0,0,0,.05));mask-image:radial-gradient(at -31% -58%,rgba(0,0,0,.5) 34%,transparent 60%),linear-gradient(270deg,rgba(0,0,0,.2) 0,transparent 13%),linear-gradient(rgba(0,0,0,.05),rgba(0,0,0,.05));}
.frosted-glass-teal{--text-color:#3bd0d8;--border-color:#58f3cd;--bg-board-color:rgba(59,208,216,.2);--bg-board-color-2:rgba(59,208,216,0);}
.hover\:bg-\[rgba\(57\2c 208\2c 216\2c 0\.05\)\]:hover{background-color:rgba(57,208,216,.05);}
.hover\:bg-\[rgba\(57\2c 208\2c 216\2c 0\.1\)\]:hover{background-color:rgba(57,208,216,.1);}
.hover\:underline:hover{text-decoration-line:underline;}
.hover\:opacity-100:hover{opacity:1;}
.hover\:opacity-75:hover{opacity:.75;}
.focus\:outline-none:focus{outline:2px solid transparent;outline-offset:2px;}
.active\:bg-\[rgba\(41\2c 157\2c 163\2c 0\.3\)\]:active{background-color:rgba(41,157,163,.3);}
.group:hover .group-hover\:text-\[rgba\(57\2c 208\2c 216\2c 1\)\]{color:#39d0d8;}
@media (max-width:1000px){
.mobile\:my-1{margin-top:.25rem;margin-bottom:.25rem;}
.mobile\:my-4{margin-top:1rem;margin-bottom:1rem;}
.mobile\:mb-4{margin-bottom:1rem;}
.mobile\:ml-2{margin-left:.5rem;}
.mobile\:hidden{display:none;}
.mobile\:h-12{height:3rem;}
.mobile\:h-14{height:3.5rem;}
.mobile\:h-2\.5{height:.625rem;}
.mobile\:h-3{height:.75rem;}
.mobile\:h-4{height:1rem;}
.mobile\:h-\[80vh\]{height:80vh;}
.mobile\:h-full{height:100%;}
.mobile\:w-2\.5{width:.625rem;}
.mobile\:w-3{width:.75rem;}
.mobile\:w-64{width:16rem;}
.mobile\:w-7{width:1.75rem;}
.mobile\:w-full{width:100%;}
.mobile\:translate-y-1{--tw-translate-y:0.25rem;}
.mobile\:translate-y-1{transform:translate(var(--tw-translate-x),var(--tw-translate-y)) rotate(var(--tw-rotate)) skewX(var(--tw-skew-x)) skewY(var(--tw-skew-y)) scaleX(var(--tw-scale-x)) scaleY(var(--tw-scale-y));}
.mobile\:grid-cols-\[\.1fr\2c 2fr\2c 2fr\2c 2fr\2c 2fr\]{grid-template-columns:.1fr 2fr 2fr 2fr 2fr;}
.mobile\:flex-col-reverse{flex-direction:column-reverse;}
.mobile\:items-stretch{align-items:stretch;}
.mobile\:justify-center{justify-content:center;}
.mobile\:gap-0{gap:0;}
.mobile\:gap-2{gap:.5rem;}
.mobile\:space-y-10>:not([hidden])~:not([hidden]){--tw-space-y-reverse:0;margin-top:calc(2.5rem * calc(1 - var(--tw-space-y-reverse)));margin-bottom:calc(2.5rem * var(--tw-space-y-reverse));}
.mobile\:rounded-lg{border-radius:.5rem;}
.mobile\:rounded-none{border-radius:0;}
.mobile\:rounded-b-none{border-bottom-right-radius:0;border-bottom-left-radius:0;}
.mobile\:rounded-br-2xl{border-bottom-right-radius:1rem;}
.mobile\:rounded-tr-2xl{border-top-right-radius:1rem;}
.mobile\:bg-cyberpunk-card-bg{background-image:linear-gradient(140.14deg,rgba(0,182,191,.15),rgba(27,22,89,.1) 86.61%),linear-gradient(321.82deg,#18134d,#1b1659);}
.mobile\:p-0{padding:0;}
.mobile\:p-5{padding:1.25rem;}
.mobile\:px-1{padding-left:.25rem;padding-right:.25rem;}
.mobile\:px-2{padding-left:.5rem;padding-right:.5rem;}
.mobile\:px-3{padding-left:.75rem;padding-right:.75rem;}
.mobile\:px-5{padding-left:1.25rem;padding-right:1.25rem;}
.mobile\:py-0{padding-top:0;padding-bottom:0;}
.mobile\:py-2{padding-top:.5rem;padding-bottom:.5rem;}
.mobile\:py-3{padding-top:.75rem;padding-bottom:.75rem;}
.mobile\:text-2xs{font-size:10px;}
.mobile\:text-\[0\.85rem\]{font-size:.85rem;}
.mobile\:text-base{font-size:1rem;line-height:1.5rem;}
.mobile\:text-sm{font-size:.875rem;line-height:1.25rem;}
.mobile\:text-xl{font-size:1.25rem;line-height:1.75rem;}
.mobile\:text-xs{font-size:.75rem;line-height:1rem;}
}
/*! CSS Used fontfaces */
@font-face{font-family:Space Grotesk;src:url(https://raydium.io/SpaceGrotesk[wght].woff2) format("woff2");font-weight:300;}
@font-face{font-family:Space Grotesk;src:url(https://raydium.io/SpaceGrotesk[wght].woff2) format("woff2");font-weight:400;}
@font-face{font-family:Space Grotesk;src:url(https://raydium.io/SpaceGrotesk[wght].woff2) format("woff2");font-weight:500;}
@font-face{font-family:Space Grotesk;src:url(https://raydium.io/SpaceGrotesk[wght].woff2) format("woff2");font-weight:700;}